echo off

call init.bat %1

java -version
javac -encoding UTF-8 -d %CLS% -Xlint:all	^
	common\*.java				^
	db\*.java					^
	develop\*.java				^
	filter\*.java				^
	html\*.java					^
	io\*.java					^
	mail\*.java					^
	remote\*.java				^
	report\*.java				^
	report2\*.java				^
	resource\*.java				^
	servlet\*.java				^
	servlet\multipart\*.java	^
	taglib\*.java

rem ============================================
set SRC=%DOCBASE%\src\org\opengion\hayabusa\common

set CLASSPATH=%CLASSPATH%;%CLS%;%JAVA_HOME%\lib\tools.jar

javadoc	 -encoding UTF-8						^
 -docletpath %CLS%								^
 -doclet org.opengion.fukurou.taglet.DocletParam		^
 -outfile %SRC%\GE12_Param.xml					^
 -public										^
 -sourcepath %SRC%								^
 %SRC%\SystemData.java							^
 %SRC%\BuildNumber.java

rem -systemId "**"									^

java org.opengion.fukurou.xml.XSLT	^
  common\GE12_Param.xml common\GE12.xsl  %CLS%\org\opengion\hayabusa\common\GE12.xml

goto STEP_%1
:STEP_
pause

:STEP_SKIP
